如何使用Composer PHP使用最新版本的Zend Framework 2.3.5?

How do I use the latest version of Zend Framework 2.3.5 using Composer PHP?


如何使用Composer PHP使用最新版本的Zend Framework 2.3.5? 已获得3个解决方法 2020-08-18 18:08:55 php

我在我的Composer.json文件中添加了什么,以便它下载Zend框架的2.3.5版?我试过阅读Zend文档,但没有提到作曲家.

{
  "require" : {
    "silex/silex": "~1.1",
    "monolog/monolog": "~1.7",
    "aws/aws-sdk-php": "~2.6",
    "zendframework/zendservice-amazon": "2.3.5"
  },
  "require-dev": {
    "heroku/heroku-buildpack-php": "*"
  },
  "repositories": [
    {
        "type": "composer",
        "url": "https://packages.zendframework.com/"
    }
  ]
}

在我运行 composer update 后,它给我这个错误消息:

C:\ Users \ Ricky \ graffiti-galore>composer使用软件包信息更新依赖项 (包括require-dev) 更新加载composer存储库您的要求无法解析为可安装的软件包集.

问题1-请求的包zendframework/zendservice-在任何版本中都找不到amazon,包名称中可能有错字.

潜在原因:-包名错字-根据您的最低稳定性设置,包没有足够稳定的版本,详情请参见 https://groups.google.com/d/topic/composer-dev/_g3ASeIFlrc/discussion .

进一步的常见问题请阅读 http://getcomposer.org/doc/articles/troubleshooting.md .


如何使用Composer PHP使用最新版本的Zend Framework 2.3.5? 方法1

zendservice-amazon 不是Zend Framework 2的一部分,ZendService库都不是.它的最新版本为2.0.3,这里列出了所有版本: https://packagist.org/packages/zendframework/zendservice-amazon


如何使用Composer PHP使用最新版本的Zend Framework 2.3.5? 方法2

在您的require语句中,您似乎使用了错误的包含Zend.在您的require语句中:

"zendframework/zendservice-amazon": "2.3.5"

应该是

"zendframework/zend-config": "2.3.5",
"zendframework/zend-http": "2.3.5"

或者如果您想避免需要特定的版本号,

"zendframework/zend-config": "2.*",
"zendframework/zend-http": "2.*"

对于 minimum stability 中的部分

"minimum-stability": "dev"

如何使用Composer PHP使用最新版本的Zend Framework 2.3.5? 方法3

zendframework/zendservice-amazon 没有2.3.5版本,因此显然安装失败.查看 https://packagist.org/packages/zendframework/zendservice-amazon 以查看可用版本并修复版本选择器 (建议 ~2.0 ).

您也不需要 composer.json 中的 repositories 部分,所有软件包也都位于Packagist,Composer的主要和默认软件包存储库中.


.htaccess .net .net-core 2d 3d 3d-printing ab-initio abp abstract-syntax-tree actions-on-google actionscript-3 active-directory activemq activemq-artemis acumatica adobe-xd aframe ag-grid agora.io air airflow ajax akka alert alexa algorithm alignment allure amadeus amazon-cloudformation